<?php include("../colors.php"); ?>
#parent-container{
	width: 80%;
	margin: 50px auto 30px;
	/*background-color: <?= $color_main ?>;*/
}
#header{
	text-align: right;
	padding: 20px;
	background-color: <?= $color_main ?>;
}

.columns-container{
	display: flex;
}
.column{
	flex: 25%;
}
.question-container{
	flex: 75%;
}

/* user profile styling */
#user-container{
	/*background-color: black;*/
	text-align: center;
	background-color: <?= $color_3 ?>;
	padding:  30px;
	margin: 0px;
}
#user-name{
	font-size: 30px;
	font-weight: bold;
	margin-bottom: 20px;
}
#user-bio{

}

/* Form column */
.form-column{
	background-color: <?= $color_2 ?>;
	padding: 10px;
	overflow: hidden;
}
.form-column textarea{
	width: 100%;
	height: 80px;
	margin-bottom: 10px;
}
.form-column input[type="submit"]{
	margin: 10px;
	float: right;
}
.form-column input[type="submit"]:hover{
	background-color: <?= $color_main ?>
}

/* Questions */
.question-container{
	padding: 10px;
	background-color: <?= $color_main ?>;
}
.question{
	margin: 20px;
	margin-bottom: 10px;
}
.question-username{
	font-size: 20px;
	font-weight: bold;
	padding-bottom: 15px;
	text-decoration: none;
}
.question-text{
	margin-bottom: 15px;
}
.question-date{
	float: right;
	margin-bottom: 20px;
}

.answer{
	clear: both;
	padding: 10px;
	margin-left: 40px;
	background-color: <?= $color_2 ?>;
}
.answer-date{
	margin-top: 20px;
}

/* Footer */
#footer{
	padding: 10px;
	/*background-color: <?= $color_3 ?>;*/
	text-align: center;
	margin-bottom: 30px;
}

@media screen and (max-width: 800px){
	.columns-container{
		display: block;
	}
}
